#include "stdint.h"
#include "graphicBytes.h"

const uint8_t largeDigits[11][96] = {
{
  ________,_XXXXXXX,________,
  _______X,XXXXXXXX,XX______,
  ______XX,XXXXXXXX,XXX_____,
  _____XXX,XXXXXXXX,XXXX____,
  ____XXXX,XXXXXXXX,XXXXX___,
  ____XXXX,XXX___XX,XXXXX___,
  ___XXXXX,X______X,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,________,_XXXXX__,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ____XXXX,XXX___XX,XXXXX___,
  ____XXXX,XXXXXXXX,XXXXX___,
  _____XXX,XXXXXXXX,XXXX____,
  ______XX,XXXXXXXX,XXX_____,
  _______X,XXXXXXXX,XX______,
  ________,_XXXXXXX,________
},{
  ________,_____XXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,___XXXXX,XX______,
  ________,__XXXXXX,XX______,
  ________,_XXXXXXX,XX______,
  _______X,XXXXXXXX,XX______,
  _____XXX,XXXXXXXX,XX______,
  ____XXXX,XXXXXXXX,XX______,
  ____XXXX,XXX_XXXX,XX______,
  ____XXXX,XX__XXXX,XX______,
  ____XXXX,____XXXX,XX______,
  ____XX__,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______,
  ________,____XXXX,XX______
},{
  ________,__XXXXXX,X_______,
  _______X,XXXXXXXX,XXX_____,
  ______XX,XXXXXXXX,XXXX____,
  _____XXX,XXXXXXXX,XXXXX___,
  ____XXXX,XXXXXXXX,XXXXXX__,
  ____XXXX,XXX____X,XXXXXX__,
  ____XXXX,XX______,XXXXXXX_,
  ___XXXXX,X_______,_XXXXXX_,
  ___XXXXX,X_______,_XXXXXX_,
  ____XXXX,X_______,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,XXXXXX__,
  ________,_______X,XXXXXX__,
  ________,_______X,XXXXX___,
  ________,______XX,XXXXX___,
  ________,_____XXX,XXXX____,
  ________,____XXXX,XXX_____,
  ________,___XXXXX,XX______,
  ________,_XXXXXXX,X_______,
  ________,XXXXXXXX,________,
  ________,XXXXXXX_,________,
  _______X,XXXXXX__,________,
  ______XX,XXXXX___,________,
  _____XXX,XXXX____,________,
  ____XXXX,XXX_____,________,
  ____XXXX,XXXXXXXX,XXXXXXX_,
  ___XXXXX,XXXXXXXX,XXXXXXX_,
  ___XXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_
},{
  ________,_XXXXXXX,________,
  _______X,XXXXXXXX,XX______,
  ______XX,XXXXXXXX,XXX_____,
  _____XXX,XXXXXXXX,XXXX____,
  ____XXXX,XXXXXXXX,XXXXX___,
  ____XXXX,XXX____X,XXXXXX__,
  ___XXXXX,XX______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ______XX,X_______,XXXXXX__,
  ________,________,XXXXXX__,
  ________,_______X,XXXXX___,
  ________,______XX,XXXXX___,
  ________,____XXXX,XXXX____,
  ________,___XXXXX,XXX_____,
  ________,___XXXXX,XX______,
  ________,___XXXXX,XXXX____,
  ________,___XXXXX,XXXXX___,
  ________,_______X,XXXXXX__,
  ________,________,XXXXXX__,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ____XXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,X_______,XXXXXXX_,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,XXX____X,XXXXXX__,
  ____XXXX,XXXXXXXX,XXXXX___,
  ____XXXX,XXXXXXXX,XXXXX___,
  _____XXX,XXXXXXXX,XXX_____,
  _______X,XXXXXXXX,XX______,
  ________,_XXXXXXX,________
},{
  ________,______XX,XXXX____,
  ________,______XX,XXXX____,
  ________,_____XXX,XXXX____,
  ________,____XXXX,XXXX____,
  ________,____XXXX,XXXX____,
  ________,___XXXXX,XXXX____,
  ________,___XXXXX,XXXX____,
  ________,__XXXXXX,XXXX____,
  ________,_XXXXXXX,XXXX____,
  ________,_XXXXXXX,XXXX____,
  ________,XXXXXXXX,XXXX____,
  _______X,XXXXX_XX,XXXX____,
  _______X,XXXX__XX,XXXX____,
  ______XX,XXXX__XX,XXXX____,
  _____XXX,XXX___XX,XXXX____,
  _____XXX,XX____XX,XXXX____,
  ____XXXX,XX____XX,XXXX____,
  ___XXXXX,X_____XX,XXXX____,
  ___XXXXX,______XX,XXXX____,
  __XXXXXX,______XX,XXXX____,
  _XXXXXX_,______XX,XXXX____,
  _XXXXXXX,XXXXXXXX,XXXXXXXX,
  _XXXXXXX,XXXXXXXX,XXXXXXXX,
  _XXXXXXX,XXXXXXXX,XXXXXXXX,
  _XXXXXXX,XXXXXXXX,XXXXXXXX,
  _XXXXXXX,XXXXXXXX,XXXXXXXX,
  ________,______XX,XXXX____,
  ________,______XX,XXXX____,
  ________,______XX,XXXX____,
  ________,______XX,XXXX____,
  ________,______XX,XXXX____,
  ________,______XX,XXXX____
},{
  ______XX,XXXXXXXX,XXXXXX__,
  ______XX,XXXXXXXX,XXXXXX__,
  _____XXX,XXXXXXXX,XXXXXX__,
  _____XXX,XXXXXXXX,XXXXXX__,
  _____XXX,XXXXXXXX,XXXXXX__,
  _____XXX,XXXXXXXX,XXXXXX__,
  ____XXXX,XXX_____,________,
  ____XXXX,XX______,________,
  ____XXXX,XX______,________,
  ____XXXX,XX______,________,
  ___XXXXX,XX_XXXXX,X_______,
  ___XXXXX,XXXXXXXX,XXX_____,
  ___XXXXX,XXXXXXXX,XXXX____,
  ___XXXXX,XXXXXXXX,XXXXX___,
  __XXXXXX,XXXXXXXX,XXXXX___,
  __XXXXXX,XX____XX,XXXXXX__,
  ___XXXXX,________,XXXXXX__,
  ________,________,XXXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ___XXXX_,________,_XXXXXX_,
  _XXXXXX_,________,_XXXXXX_,
  _XXXXXXX,________,XXXXXX__,
  __XXXXXX,X_______,XXXXXX__,
  __XXXXXX,XX____XX,XXXXX___,
  ___XXXXX,XXXXXXXX,XXXXX___,
  ___XXXXX,XXXXXXXX,XXXX____,
  ____XXXX,XXXXXXXX,XXX_____,
  ______XX,XXXXXXXX,XX______,
  ________,XXXXXXX_,________
},{
  ________,__XXXXXX,________,
  ________,XXXXXXXX,XX______,
  ______XX,XXXXXXXX,XXX_____,
  _____XXX,XXXXXXXX,XXXX____,
  _____XXX,XXXXXXXX,XXXXX___,
  ____XXXX,XXX___XX,XXXXX___,
  ____XXXX,XX_____X,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXX____,
  ___XXXXX,________,________,
  __XXXXXX,________,________,
  __XXXXXX,________,________,
  __XXXXXX,___XXXXX,X_______,
  __XXXXXX,_XXXXXXX,XXX_____,
  __XXXXXX,XXXXXXXX,XXXX____,
  __XXXXXX,XXXXXXXX,XXXXX___,
  __XXXXXX,XXXXXXXX,XXXXXX__,
  __XXXXXX,XX_____X,XXXXXX__,
  __XXXXXX,X_______,XXXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  ___XXXXX,________,_XXXXXX_,
  ___XXXXX,________,_XXXXXX_,
  ___XXXXX,X_______,_XXXXXX_,
  ___XXXXX,X_______,XXXXXX__,
  ____XXXX,XXX____X,XXXXXX__,
  ____XXXX,XXXXXXXX,XXXXXX__,
  _____XXX,XXXXXXXX,XXXXX___,
  ______XX,XXXXXXXX,XXXX____,
  ________,XXXXXXXX,XXX_____,
  ________,__XXXXXX,________
},{
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXXX_,
  __XXXXXX,XXXXXXXX,XXXXXX__,
  ________,_______X,XXXXXX__,
  ________,_______X,XXXXX___,
  ________,______XX,XXXX____,
  ________,_____XXX,XXX_____,
  ________,_____XXX,XXX_____,
  ________,____XXXX,XX______,
  ________,___XXXXX,X_______,
  ________,___XXXXX,X_______,
  ________,__XXXXXX,________,
  ________,__XXXXXX,________,
  ________,__XXXXX_,________,
  ________,_XXXXXX_,________,
  ________,_XXXXXX_,________,
  ________,XXXXXX__,________,
  ________,XXXXXX__,________,
  ________,XXXXXX__,________,
  _______X,XXXXX___,________,
  _______X,XXXXX___,________,
  _______X,XXXXX___,________,
  _______X,XXXXX___,________,
  _______X,XXXXX___,________,
  ______XX,XXXX____,________,
  ______XX,XXXX____,________,
  ______XX,XXXX____,________,
  ______XX,XXXX____,________,
  ______XX,XXXX____,________
},{
  ________,_XXXXXXX,________,
  ______XX,XXXXXXXX,XXX_____,
  _____XXX,XXXXXXXX,XXXX____,
  ____XXXX,XXXXXXXX,XXXXX___,
  ____XXXX,XXXXXXXX,XXXXX___,
  ___XXXXX,XXX___XX,XXXXXX__,
  ___XXXXX,XX_____X,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,XX_____X,XXXXXX__,
  ____XXXX,XXX___XX,XXXXX___,
  _____XXX,XXXXXXXX,XXXX____,
  ______XX,XXXXXXXX,XXX_____,
  _______X,XXXXXXXX,XX______,
  _____XXX,XXXXXXXX,XXXX____,
  ____XXXX,XXXXXXXX,XXXXX___,
  ___XXXXX,XX_____X,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  __XXXXXX,X_______,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,X_______,_XXXXXX_,
  __XXXXXX,X_______,XXXXXXX_,
  ___XXXXX,XX_____X,XXXXXX__,
  ___XXXXX,XXXXXXXX,XXXXXX__,
  ____XXXX,XXXXXXXX,XXXXX___,
  _____XXX,XXXXXXXX,XXXX____,
  _______X,XXXXXXXX,XXX_____,
  ________,_XXXXXXX,________
},{
  ________,_XXXXXX_,________,
  ______XX,XXXXXXXX,X_______,
  _____XXX,XXXXXXXX,XXX_____,
  ____XXXX,XXXXXXXX,XXXX____,
  ___XXXXX,XXXXXXXX,XXXXX___,
  ___XXXXX,XX____XX,XXXXX___,
  ___XXXXX,X_______,XXXXXX__,
  __XXXXXX,________,XXXXXX__,
  __XXXXXX,________,_XXXXX__,
  __XXXXXX,________,_XXXXX__,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,________,_XXXXXX_,
  __XXXXXX,X_______,XXXXXXX_,
  ___XXXXX,XX_____X,XXXXXXX_,
  ___XXXXX,XXXXXXXX,XXXXXXX_,
  ____XXXX,XXXXXXXX,XXXXXXX_,
  _____XXX,XXXXXXXX,XXXXXXX_,
  ______XX,XXXXXXXX,_XXXXXX_,
  ________,XXXXXX__,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXXX_,
  ________,________,_XXXXX__,
  _____XXX,X_______,XXXXXX__,
  ___XXXXX,X_______,XXXXXX__,
  ___XXXXX,XX_____X,XXXXX___,
  ____XXXX,XXX___XX,XXXXX___,
  ____XXXX,XXXXXXXX,XXXX____,
  _____XXX,XXXXXXXX,XXXX____,
  _____XXX,XXXXXXXX,XXX_____,
  _______X,XXXXXXXX,X_______,
  ________,XXXXXXX_,________
}
,{
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,XXXXXXXX,XXXXXXXX,
  ________,XXXXXXXX,XXXXXXXX,
  ________,XXXXXXXX,XXXXXXXX,
  ________,XXXXXXXX,XXXXXXXX,
  ________,XXXXXXXX,XXXXXXXX,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________,
  ________,________,________
}
};
