#include "NRF52840.h"
#include "NRF52840_bitfields.h"
#include "stdbool.h"

void initOnPin(void)
{
	NRF_P0->PIN_CNF[3] = GPIO_PIN_CNF_DIR_Output | GPIO_PIN_CNF_DRIVE_S0S1;
	NRF_P0->OUTSET = 0x08;
}

void upOn(void){ NRF_P0->OUTSET = 0x08; }
void downOn(void){ NRF_P0->OUTCLR = 0x08; }

static void initBS1Pin(void)
{
	NRF_P1->PIN_CNF[8] = GPIO_PIN_CNF_DIR_Output | GPIO_PIN_CNF_DRIVE_S0S1;
	NRF_P1->OUTCLR = 0x100;
}

void upBS1(void){	NRF_P1->OUTSET = 0x100; }
void downBS1(void){	NRF_P1->OUTCLR = 0x100; }

static void initBusyPin(void)
{
	NRF_P1->PIN_CNF[7] = GPIO_PIN_CNF_DIR_Input;
}

bool isBusyHigh(void){ return ((NRF_P1->IN & 0x0080) != 0x0000);}

static void initResetPin(void)
{
	NRF_P1->PIN_CNF[6] = GPIO_PIN_CNF_DIR_Output | GPIO_PIN_CNF_DRIVE_S0S1;
	NRF_P1->OUTSET = 0x40;
}

void upReset(void){	NRF_P1->OUTSET = 0x40; }
void downReset(void){	NRF_P1->OUTCLR = 0x40; }

static void initDCPin(void){
	NRF_P1->PIN_CNF[5] = GPIO_PIN_CNF_DIR_Output | GPIO_PIN_CNF_DRIVE_S0S1;
	NRF_P1->OUTSET = 0x20;
}

void upDC(void){ NRF_P1->OUTSET = 0x20; }
void downDC(void){ NRF_P1->OUTCLR = 0x20; }

static void initCSPin(void)
{
	NRF_P1->PIN_CNF[4] = GPIO_PIN_CNF_DIR_Output | GPIO_PIN_CNF_DRIVE_S0S1;
	NRF_P1->OUTSET = 0x10;
}

void upCS(void){ NRF_P1->OUTSET = 0x10; }
void downCS(void){ NRF_P1->OUTCLR = 0x10; }

static void initSPI(void)
{
	NRF_SPIM0->PSEL.SCK = 0x00000023;
	NRF_SPIM0->PSEL.MOSI = 0x00000022;
}


void spiWriteByte(uint8_t byte)
{
	NRF_SPIM0->TXD.PTR = (uint32_t)&byte;
	NRF_SPIM0->TXD.MAXCNT = 1;
	NRF_SPIM0->ENABLE = 0x07;
	NRF_SPIM0->TASKS_START = 1;	
	while(NRF_SPIM0->EVENTS_ENDTX ==0);
	NRF_SPIM0->EVENTS_ENDTX = 0;
}

void delay_ms(uint32_t tms)
{
	for(uint32_t i=0; i<tms; i++)
	{
		for(uint32_t j=0; j<16000; j++);
	}
}

void initDisplayHw(void)
{
	initOnPin();
	initBS1Pin();
	initBusyPin();
	initResetPin();
	initDCPin();
	initCSPin();
	initSPI();
}
